Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.axis
Class SegmentedTimeline.BaseTimelineSegmentRange

    java.lang.Object
      org.jfree.chart.axis.SegmentedTimeline.Segment
          org.jfree.chart.axis.SegmentedTimeline.SegmentRange
              org.jfree.chart.axis.SegmentedTimeline.BaseTimelineSegmentRange

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

Enclosing class:
  SegmentedTimeline

    protected class SegmentedTimeline.BaseTimelineSegmentRange

extends SegmentedTimeline.SegmentRange

Special `SegmentRange` that came from the BaseTimeline.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.axis.SegmentedTimeline.Segment
`millisecond, segmentEnd, segmentNumber, segmentStart`

Constructor Summary
`SegmentedTimeline.BaseTimelineSegmentRange(long fromDomainValue, long toDomainValue)` Constructor.

Method Summary

Methods inherited from class org.jfree.chart.axis.SegmentedTimeline.SegmentRange
`getSegmentCount, inc, inExcludeSegments, inIncludeSegments, intersect`

Methods inherited from class org.jfree.chart.axis.SegmentedTimeline.Segment
`after, before, calculateSegmentNumber, compareTo, contained, contains, contains, contains, copy, dec, dec, equals, getDate, getMillisecond, getSegmentEnd, getSegmentNumber, getSegmentStart, inc, inExceptionSegments, moveIndexToEnd, moveIndexToStart`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SegmentedTimeline.BaseTimelineSegmentRange

    public SegmentedTimeline.BaseTimelineSegmentRange(long fromDomainValue,
                                                      long toDomainValue)

  Constructor.

  Parameters:
    `fromDomainValue` - the start value.
    `toDomainValue` - the end value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD